Page MenuHomePhabricator

Add the "I accept these terms for my future edits" checkbox to License popup on mobile termbox editing, and remember the choice
Closed, ResolvedPublic5 Story Points

Description

Given I have checked the "I accept these terms for my future edits" option in the CC0 License popup
And I am editing Termbox contents
When I click publish
Then I am not presented with the "I accept these terms for my future edits" popup

Mock:

Text to be displayed for checkbox:
I also accept these terms for my future edits. Do not show this message again.
(Note there is an "also" in the sentence now)

Dev notes:
In case of not logged user, the choice should be persisted on user's device as a "cookie".
In case of the logged user the choice should be persisted as a user preference, so that it is considered regardless of the device the editor is using.

Acceptance Criteria:

  • The licence popup contains a possibility to indefinitely ("cookie" set for long enough end date is fine) accept the CC0 licence (see mock)
  • The checkbox is selected when the user sees the popup for the very first time
  • If checkbox is checked and Cancel is clicked, no choice is persisted, and the Popup comes up again when clicking Publish
  • If checkbox in not checked, and Publish is clicked, the Popup comes up again on the next time Publish is ever clicked in the Termbox
  • The choice state should be shared between Termbox V1 and Termbox V2

Details

Related Gerrit Patches:
mediawiki/extensions/Wikibase : masterUpdate termbox
wikibase/termbox : masteracknowledged copyright: fix cookie name
wikibase/termbox : masterStringMWCookieStore: introduce store to save a string

Event Timeline

WMDE-leszek renamed this task from Add the "I accept these terms for my future edits" checkbox to License popup on mobile termbox editing, and tRemember the choice in the "You are not logged in" popup on mobile termbox editing to Add the "I accept these terms for my future edits" checkbox to License popup on mobile termbox editing, and remember the choice.Apr 25 2019, 9:19 AM
WMDE-leszek created this task.
WMDE-leszek moved this task from Backlog to MVP tickets: In preparation on the Wikidata-Termbox board.
Lea_WMDE triaged this task as Normal priority.May 8 2019, 1:56 PM
Lea_WMDE updated the task description. (Show Details)
WMDE-leszek updated the task description. (Show Details)May 8 2019, 2:32 PM
WMDE-leszek updated the task description. (Show Details)
WMDE-leszek set the point value for this task to 5.May 8 2019, 2:37 PM
Lea_WMDE updated the task description. (Show Details)Jun 3 2019, 10:19 AM

Change 516792 had a related patch set uploaded (by Pablo Grass (WMDE); owner: Pablo Grass (WMDE)):
[wikibase/termbox@master] StringMWCookieStore: introduce store to save a string

https://gerrit.wikimedia.org/r/516792

Change 516792 merged by jenkins-bot:
[wikibase/termbox@master] StringMWCookieStore: introduce store to save a string

https://gerrit.wikimedia.org/r/516792

Addshore moved this task from incoming to in progress on the Wikidata board.Jun 21 2019, 11:28 PM
Tarrow moved this task from Doing to Peer Review on the Wikidata-Termbox-Iteration-18 board.

Change 519637 had a related patch set uploaded (by Jakob; owner: Jakob):
[mediawiki/extensions/Wikibase@master] Update termbox

https://gerrit.wikimedia.org/r/519637

Change 519647 had a related patch set uploaded (by Pablo Grass (WMDE); owner: Pablo Grass (WMDE)):
[wikibase/termbox@master] acknowledged copyright: fix cookie name

https://gerrit.wikimedia.org/r/519647

Change 519647 merged by jenkins-bot:
[wikibase/termbox@master] acknowledged copyright: fix cookie name

https://gerrit.wikimedia.org/r/519647

Change 519637 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Update termbox

https://gerrit.wikimedia.org/r/519637

Lea_WMDE closed this task as Resolved.Jul 1 2019, 9:03 AM
Lea_WMDE claimed this task.

I don't know how I could test the last criterion, and am taking your implicit word for it.